Bug 790249 - New version of ETL needed for synfig
Summary: New version of ETL needed for synfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ETL
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-14 02:32 UTC by Luya Tshimbalanga
Modified: 2012-05-26 07:01 UTC (History)
2 users (show)

Fixed In Version: ETL-0.04.15-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 03:31:04 UTC
Type: ---


Attachments (Terms of Use)

Description Luya Tshimbalanga 2012-02-14 02:32:58 UTC
Description of problem:
Synfig now requires newer version of ETL which is not updated on Fedora reposity

Version-Release number of selected component (if applicable):
0.04.13

How reproducible:
Always

Steps to Reproduce:
1.Attempt to rebuild newer version of synfig and synfigstudio (0.63.04)
2.
3.
  
Actual results:
Synfig needs newer version of ETL (0.04.14+) which is not available

Expected results:
Newer version of ETL should be available

Additional info:
http://www.synfig.org/cms/en/download/stable

Comment 1 Gwyn Ciesla 2012-02-14 15:27:46 UTC
Lubo, if you like, and/or don't object, I can do this update for f17 and f18.  If I don't hear in a few days I will.  Thanks!

Comment 2 Lubomir Rintel 2012-02-15 22:05:47 UTC
Jon: I surely won't object. I'd be thankful if you did whatever needs to be done with the package.

Comment 3 Gwyn Ciesla 2012-02-16 15:09:46 UTC
Hmm.  Committed, but one of the tests segfaults.  It does locally on f16 as well.  I don't see any updated requirements or anything in the changelog other than enabling a few tests, one of which is the "value" test that fails.  I could just remove make check, but that doesn't seem wise.

Comment 4 Gwyn Ciesla 2012-03-21 18:09:38 UTC
I've built this, by patching out the two tests that fail.  The makefile comments indicate that upstream knows they fail.  I've built and will push for f17 as well.

Comment 5 Fedora Update System 2012-03-21 18:10:42 UTC
ETL-0.04.14-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ETL-0.04.14-2.fc17

Comment 6 Gwyn Ciesla 2012-03-21 19:48:37 UTC
I need to patch ETL for gcc47, synfig won't build.  Working on it.

Comment 7 Gwyn Ciesla 2012-03-22 13:19:45 UTC
I fixed ETL, built for rawhide and f17.  I'll push the update for f17.  I've also completed the synfig build for rawhide.  It can be done on f17 once ETL goes stable.

Comment 8 Fedora Update System 2012-03-23 00:42:28 UTC
Package ETL-0.04.14-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ETL-0.04.14-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4494/ETL-0.04.14-3.fc17
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-04-12 03:31:04 UTC
ETL-0.04.14-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Gwyn Ciesla 2012-04-12 12:17:52 UTC
Latest synfig built, update created:

https://admin.fedoraproject.org/updates/synfig-0.63.04-2.fc17

Comment 11 Luya Tshimbalanga 2012-04-27 07:21:03 UTC
Another request, could the new version of ETL be applied on other releases as well? I noticed synfigstudio was stuck to 0.62.01 causing a traceback reported on bzrh #811727.

Comment 12 Gwyn Ciesla 2012-04-27 14:18:04 UTC
Which releases, f16, or f15 as well?

Comment 13 Luya Tshimbalanga 2012-04-27 16:31:42 UTC
(In reply to comment #12)
> Which releases, f16, or f15 as well?

Both of them.

Comment 14 Gwyn Ciesla 2012-04-27 16:38:46 UTC
Sorry, I forgot to ask, 04.15, or 04.14?

Comment 15 Luya Tshimbalanga 2012-05-03 19:59:15 UTC
(In reply to comment #14)
> Sorry, I forgot to ask, 04.15, or 04.14?

04.15. Sorry it took longer,somehow I missed the last reply.

Comment 16 Fedora Update System 2012-05-04 13:42:10 UTC
ETL-0.04.15-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ETL-0.04.15-1.fc16

Comment 17 Fedora Update System 2012-05-04 13:42:19 UTC
ETL-0.04.15-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ETL-0.04.15-1.fc15

Comment 18 Fedora Update System 2012-05-04 13:42:29 UTC
ETL-0.04.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ETL-0.04.15-1.fc17

Comment 19 Luya Tshimbalanga 2012-05-04 22:36:11 UTC
One more request, is it possible to request a buildroot override? I found out I can only build synfig and synfigstudio with stable repository.

Comment 20 Luya Tshimbalanga 2012-05-04 22:51:16 UTC
Please disregard the last comment, nirik submitted a buildroot override.

Comment 21 Fedora Update System 2012-05-13 01:49:46 UTC
ETL-0.04.15-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2012-05-13 01:52:11 UTC
ETL-0.04.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2012-05-26 07:01:00 UTC
ETL-0.04.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.